¡Bienvenido(a) a Passport!
Endpoints
Gestionar Tokens
Gestionar Clientes
GESTIONAR CUENTAS
GESTIONAR LLAVES Bre-B
GESTIONAR DESTINATARIOS
GESTIONAR PAGOS
Códigos QR
Title
Message
Create new category
What is the title of your new category?
Edit page index title
What is the title of the page index?
Edit category
What is the new title of your category?
Edit link
What is the new title and URL of your link?
Consultar Cliente
Summarize Page
Copy Markdown
Open in ChatGPT
Open in Claude
Visión General
Este endpoint permite consultar los detalles de un cliente registrado en la API de Passport utilizando su identificador único. La respuesta incluye información de identificación, razón social y datos de contacto.
Detalles del Endpoint
| Parámetro | Descripción |
|---|---|
| Endpoint | https://api.paas.sandbox.co.passportfintech.com/v1/customers/:customer_id |
| Método | GET |
| Encabezados | Authorization |
| Autenticación | Token de Acceso (Bearer Token) |
Reemplaza :customer_id con el ID único del cliente.
Cuerpo de la Solicitud
- No se requiere cuerpo en la solicitud para este endpoint
Ejemplo de Solicitud
JSON
2
1
curl --location --request GET 'https://api.paas.sandbox.co.passportfintech.com/v1/customers/db7e89e7-59d8-4ab1-b675-a2ae52c3339e' \2
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \Cuerpo de la Respuesta
- Código HTTP: 200 OK.
- La respuesta devuelve los detalles del cliente.
Ejemplo de Respuesta
JSON
22
22
1
{2
"business_name": "changing",3
"type": "BUSINESS",4
"created_at": "2025-10-09T10:40:27.446Z",5
"updated_at": "2025-10-09T17:19:27.951Z",6
"email": "eAqpUh6u@example.com",7
"status": "ACTIVE",8
"identification_number": "903978023",9
"merchant_category_code": "0412",10
"mobile_phone_number": "573956158117",11
"address": {12
"line_3": "Calle 20 675",13
"city": "Cartagena",14
"line_1": "Diagonal 46 1104",15
"country": "CO",16
"post_code": "101010",17
"state": "Bolivar",18
"line_2": "Carrera 18 2111"19
},20
"identification_type": "NIT",21
"id": "db7e89e7-59d8-4ab1-b675-a2ae52c3339e"22
}Errores Comunes y Manejo
| Código HTTP | Significado | Descripción |
|---|---|---|
| 400 Bad Request | Datos inválidos | Faltan campos requeridos o contienen valores incorrectos. |
| 401 Unauthorized | Token inválido | El token de acceso ha expirado o es inválido. |
| 403 Forbidden | Acceso denegado | No se tienen permisos para consultar este cliente. |
| 404 Not Found | Cliente no encontrado | No se encontró ningún cliente con el ID proporcionado. |
| 500 Server Error | Error del servidor | Ocurrió un error inesperado al consultar el cliente. |
Buenas Prácticas
- Verifica que el
iddel cliente esté correctamente formateado y presente en la URL. - Usa el
idde la cliente retornado para futuras interacciones con la API.
Type to search, ESC to discard
Type to search, ESC to discard
Type to search, ESC to discard
Última actualización el
Siguiente lectura:
Listar ClientesDiscard Changes
Do you want to discard your current changes and overwrite with the template?
Archive Synced Block
Message
Create new Template
What is this template's title?
Delete Template
Message